Ikarus Aerofly flight simulators Get the answers to your technical questions about Ikarus' Aerofly flight simulators here in their official support forum

Upgrading from version 1.5.1 and learning Heli's

Reply
Old 12-09-2012, 07:22 AM
  #1
ghost123uk
Thread Starter
 
ghost123uk's Avatar
 
Join Date: Nov 2004
Location: Chester, UNITED KINGDOM
Posts: 260
Gallery
My Gallery
Models
My Models
Ratings
My Feedback
Default Upgrading from version 1.5.1 and learning Heli's

Hi all

Normally a fixed wing flyer, but fancy a "proper" Heli now

Years ago I learnt to fly aileron models on my ancient version of AFP (V 1.5.1) and it was a great help (I am not in a club and usually fly solo).

I dug the lead out and fired up a Heli to start a learning curve for collective pitch Helli's (as I can fly a real FP one OK)

Now I know that CP Heli's are hard to learn but even after a few hours I cannot get it to hover nicely.

Couple of questions arising =

I am using a non heli Futaba T6EXAP (computerised) T/X with the default settings on the AFP (all functions seem to do as they should)
Bearing this in mind, plus my 10 year old AFP version, am I doing more harm than good to my learning curve with this kit, or should I persevere with it "as is" ?

or

Would it be worthwhile getting the latest version of AFP ?

Ta for looking,
John

p.s. = I realise my Futaba T/X will not be suitable for a real Heli and I have already bought a "Neon Blaze V3" electric one complete with it's own 2.4gb T/X
ghost123uk is offline  
Reply With Quote
Old 12-09-2012, 05:27 PM
  #2
rajul
 
rajul's Avatar
 
Join Date: Jun 2002
Location: Missouri City, TX
Posts: 8,147
Gallery
My Gallery
Models
My Models
Ratings
My Feedback
Default RE: Upgrading from version 1.5.1 and learning Heli's

Hi John, AFP is a really old software which Ikarus is no longer supporting. I would suggest that you get AF5 which has a significantly improved flight physics and realistic graphics and sceneries.

Regarding your controller "Neon Blaze V3" I can't say for sure if it is compatible with AF5. Many of these kit radios are CCPM mixed and are not compatible with AF5, and may not have the proper adapter cable. You could use your T6EXAP as a "basic" controller first and upgrade later.

If you're using your own computerized radio (which I would recommend as it allows you to use al its computerized functions e.g. dual rates, program mixes, etc), you should get the AF5 usb interface version and also get the y-adapter cable for Futaba.

rajul is offline  
Reply With Quote
Old 12-12-2012, 12:53 AM
  #3
ghost123uk
Thread Starter
 
ghost123uk's Avatar
 
Join Date: Nov 2004
Location: Chester, UNITED KINGDOM
Posts: 260
Gallery
My Gallery
Models
My Models
Ratings
My Feedback
Default RE: Upgrading from version 1.5.1 and learning Heli's


Thanks for that Mike, I suspected I might need to start over and buy AF5 !

It will make a nice Xmas present to myself

Regards,
ghost123uk is offline  
Reply With Quote
Reply


Thread Tools
Search this Thread
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



All times are GMT -8. The time now is 02:51 PM.